{% set CodiceModulo = "DOM_LIQ_INT_CULT" %}
{% set Urn = "document:c_a794:liquidazione.contributo.intese;domanda" %}
{% set Urn_procedimento = "" %}
{% set allegati=[
{ "codice":"DAE-CDI",
  "urn":"document:s_italia:generale;documento.identita;documentazione",
  "descrizione_tabella_allegati":"copia del documento di identità",
  "annotazioni_tabella_allegati":"(da allegare se il modulo è compilato con il supporto dell'assistenza)",
  "descrizione_meta":"", 
  "filename":"Documento identita",
  "firmatari":"Titolare_CodiceFiscale",
  "firmatari_label":"il/la dichiarante",
  "firmato":"NO",
  "numero":"1",
  "dimensione":"15",
  "enabled":"",
  "dynamic_check":"",
  "tipo":"allegato",
  "tipo_mime":"image/tiff,image/png,image/jpeg,application/pdfn" 
},
{ "codice":"PROS-SPE-PREV",
  "urn":"document:c_a794:prospetto.riepilogativo.spese.entrate.preventivate",
  "descrizione_tabella_allegati":"Prospetto riepilogativo delle spese e delle entrate",
  "annotazioni_tabella_allegati":"",
  "descrizione_meta":"", 
  "filename":"Prospetto conclusivo bilancio",
  "firmatari":"Titolare_CodiceFiscale",
  "firmatari_label":"il/la dichiarante",
  "firmato":"NO",
  "numero":"1",
  "dimensione":"15",
  "enabled":"",
  "dynamic_check":"",
  "tipo":"allegato",
  "tipo_mime":"application/pdfn"
}
]%}
{% extends "base.html" %}
{% block meta %}
<meta campi_firma="Titolare_CodiceFiscale"
campi_firma_label="il/la dichiarante"
classi_modulo=""
trattamento_dati="PERSONALI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
sub_urn=""
sub_urn_list="unesco,musei"
uo_globo_list=""
descrizione="Domanda di liquidazione intese culturali"
destinatario_amministrazione=""
destinatario_ufficio="UOCULTURA"
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="SI"
firmare="AUTENTICATO"
generabile_da="RICH_CONV"
in_bollo="NO"
istruzioni_compilazione=""
istruzioni_invio="mail_pec"
metodo_invio="mail"
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="principale"
ufficio=""
verifica_pagamento="NO"
versione="1.0|14/01/2025"/>

<meta codice_modulo_figlio="INCARICO_PROCURA"
urn_modulo_figlio="document:s_italia:generale;incarico.procura"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>
<meta codice_modulo_figlio="REL_CONCL"
urn_modulo_figlio="document:c_a794:relazione.conclusiva.contributi;allegato"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>
<meta codice_modulo_figlio="RIT_ACCONTO"
urn_modulo_figlio="document:c_a794:ritenuta.acconto.contributi;dichiarazione"
name="GLOBO_modulofiglio"
numero="1"
obbligatorio="DINAMICO"/>
{% for allegato in allegati %}{% set descr = "" %}{% if allegato['descrizione_meta'] == '' %} {% set descr = allegato['descrizione_tabella_allegati']  %} {% else %}{% set descr = allegato['descrizione_meta'] %} {% endif %}
  {% if allegato['tipo'] == "allegato" %}
   <meta codice_allegato="{{ allegato['codice'] }}"
    urn_allegato="{{ allegato['urn'] }}"
    descrizione_estesa="{{  descr[0]|upper + descr[1:descr|length] }}"
    filename="{{ allegato['filename'][0]|upper + allegato['filename'][1:allegato['filename']|length] }}"
    firmatari="{{ allegato['firmatari'] }}"
    firmatari_label="{{ allegato['firmatari_label'] }}"
    firmato="{{ allegato['firmato'] }}"
    name="GLOBO_allegato"
    numero="{{ allegato['numero'] }}"
    dimensione_massima="{{ allegato['dimensione'] }}"
    obbligatorio="DINAMICO"
    tipo_mime="{{ allegato['tipo_mime'] }}"/>
  {% elif allegato['tipo'] == "secondario" %} 
    <meta codice_modulo_figlio="{{ allegato['codice'] }}"
    urn_modulo_figlio="{{ allegato['urn'] }}"
    name="GLOBO_modulofiglio"
    numero="{{ allegato['numero'] }}"
    obbligatorio="DINAMICO"/>
  {% endif %}{% endfor %}
<meta codice_allegato="ALTRI-ALLEGATI"
urn_allegato="document:s_italia:altri.allegati"
descrizione_estesa="Altri allegati"
filename="Altri allegati"
firmatari="Titolare_CodiceFiscale"
firmatari_label="il/la dichiarante"
firmato="NO"
name="GLOBO_allegato"
numero="0"
dimensione_massima="15"
obbligatorio="DINAMICO"
tipo_mime="image/tiff,image/png,image/jpeg,application/pdfn"/>

{% endblock meta %}

{% block title %} Domanda di liquidazione contributo intese {% endblock title %}

{% block content %}
<script>
    // Array che ci permette di passare dal codice ufficio alla descrizione
    var DaCodiceAUfficio = [];
    DaCodiceAUfficio["CWG45S"] = "Cultura e UNESCO";
    DaCodiceAUfficio["4GODEA"] = "Servizio Musei civici";
// Qua vanno aggiunti i vari uffici interessati con i loro codici IPA
// Array per individuare i suburn necessari al modulo 
var UfficiSubUrn = [];
UfficiSubUrn["CWG45S"] = "unesco";
UfficiSubUrn["4GODEA"] = "musei";




function docReady(fn) {
  // DOM available?? 
  if (document.readyState === "complete" || document.readyState === "interactive") {
      setTimeout(fn, 2);
      //console.log('Dom loading');
  } else {
    //console.log('dom caricato'); 

    document.addEventListener("DOMContentLoaded", fn);
  }
}    

// RICHIAMO LA FUNZIONE docReady e gli passo la funzione da eseguire al caricamente del DOM 
docReady(function() {
    // DOM Caricato

  // Recupero anno Protocollo e nascondo tutto quello che non è valorizzato 
  var dataProtocollo = document.getElementById("Riferimenti_DataRegistrazione").value;
  var anno = dataProtocollo.substr(6,4);
  
  // Mostro i campi nascoscti che hanno già interrogato il WS e sono valorizzati con l'importo concesso
  //var elementoDaMostrare = document.getElementById("Valori_WS_" + anno);
  //elementoDaMostrare.style.display="";
  //console.log(elementoDaMostrare);

  // Recupero il codice dell'ufficio dal campo valorizzatio dalla chiamata REST e da questo (che dovrebbe essereil codiceIPA)
  var codiceUfficio = document.getElementById("Ufficio" + anno).value;
  //console.log(codiceUfficio);

  // Ecco i due campi valorati tramite javascript che poi passano nel faldone telematico per ICaroEvo
  document.getElementById("Riferimenti_DescrizioneUfficioDestinatario").value = DaCodiceAUfficio[codiceUfficio];
  document.getElementById("Riferimenti_CodiceUfficioDestinatario").value = codiceUfficio;
  //console.log(document.getElementById("Riferimenti_DescrizioneUfficioDestinatario").value);

  //Valorizzo la descrizione della UO e non il codice per il cittadino 
  document.getElementById("NomeUfficio" + anno).value = DaCodiceAUfficio[codiceUfficio];
  //console.log(document.getElementById("NomeUfficio" + anno).value);

  // Carico anche il valore del SubUrn
  document.getElementById('GLOBO_sub_urn').value = UfficiSubUrn[codiceUfficio];
  //console.log();

});

// ricopia i dati nella sezione visibile nel PDF 
function copiaDati() {

  // Recupero anno Protocollo e nascondo tutto quello che non è valorizzato 
  var dataProtocollo = document.getElementById("Riferimenti_DataRegistrazione").value;
  var anno = dataProtocollo.substr(6,4);

  var tipoAtto = document.getElementById("TipoAtto" + anno);
  var numeroAtto = document.getElementById("NumeroAtto" + anno);
  var dataAtto = document.getElementById("DataAtto" + anno);
  var importoConcesso = document.getElementById("ImportoConcesso" + anno);
  var stato = document.getElementById("Stato" + anno);

  document.getElementById("Riferimenti_TipoAtto").value = tipoAtto.value;
  document.getElementById("Riferimenti_NumeroAtto").value = numeroAtto.value;
  document.getElementById("Riferimenti_DataAtto").value = dataAtto.value;
  document.getElementById("Riferimenti_ImportoConcesso").value = importoConcesso.value;
  document.getElementById("Riferimenti_Stato").value = stato.value;


}


// RIMETTERE LA FUNZIONE PER IL RECUPERO DELL IMPORTO CONCESSO
function verificaImporto()
{
    console.log("start - verifica importo");
    // Recupero anno Protocollo
    var dataProtocollo = document.getElementById("Riferimenti_DataRegistrazione").value;
    var anno = dataProtocollo.substr(6,4);
    //anno = "_test";
    //console.log(anno);

    // Faccio una verifica che il valore del campo non sia Undefined e nel caso cerco di aggiornare il valore in modo che venga valorizzato correttamente 
    // deve essere aggiornato sia il valore del campo Input sia il valore del campo di SubUrn 
    if (document.getElementById("Riferimenti_DescrizioneUfficioDestinatario").value == 'undefined') 
    {
      var codiceUfficio = document.getElementById("Ufficio" + anno).value;
      document.getElementById("Riferimenti_DescrizioneUfficioDestinatario").value = DaCodiceAUfficio[codiceUfficio];
      document.getElementById("Riferimenti_CodiceUfficioDestinatario").value = codiceUfficio;
      document.getElementById("NomeUfficio" + anno).value = DaCodiceAUfficio[codiceUfficio];
      document.getElementById('GLOBO_sub_urn').value = UfficiSubUrn[codiceUfficio];
    }
    
    importo1Buff = document.getElementById('ImportoConcesso' + anno).value;
    
    importo2Buff = document.getElementById('Parametri_ValoreContributo').value;
    
    if (importo1Buff.indexOf(',') >= 0)
      {
        Importo1 = parseFloat(importo1Buff.replace(",","."));
      }
    else{
      Importo1 = parseFloat(importo1Buff).toFixed(2);
    }
    
    Importo2 = parseFloat(importo2Buff.replace(",",".")).toFixed(2);
    console.log("verifica importo - controllo importo concesso >= valore contributo richiesto");
    if ( parseFloat(Importo2) > parseFloat(Importo1) )
    {
        alert("Importo non valido, in quanto superiore al valore concesso")
     
        document.getElementById('Parametri_ValoreContributo').value = "";
    }
    console.log("stop - verifica importo - Richiamo Set Importo passando parametro input Parametri Saldo");
    SetImporto('Parametri_Saldo');

}
    </script>
<globo_fondo_pagina areaheight="150" scope="2">
  {{ utils.firma( firmatario = "Il/La dichiarante" ) }}
</globo_fondo_pagina>

<input id="Parametri_Comune" name="Parametri_Comune" type="hidden" dynamic_value="#Ente.value()"/>
<input id="Oggetto" name="Oggetto" type="hidden" dynamic_value="#Titolare_Denominazione.value().toUpperCase() + ' ' + ' - Domanda di liquidazione somma per lo svolgimento della seguente attività -' + ' ' + #Parametri_DenominazioneAttivita.value().toUpperCase()"/>

{{intestazioni.intestazione_moduloprincipale_senzabollo()}}

<div class="container">
  <div class="title-1"> Domanda di liquidazione della somma concessa a seguito di convenzione/accordo/intesa culturale/collaborazione </div>
</div>

<!-- Ulteriori ruoli disponibili: Responsabile unico del procedimento, Procuratore con potere di rappresentanza legale, Incaricato dell’impresa di onoranze funebri, Direttore tecnico, Gestore, Dipendente, Delegato -->
{{ anagrafica.societa(prefix='Titolare', 
                      intestazione="Il/La sottoscritto/a", 
                      ruoli=["Persona fisica", "Titolare", "Legale rappresentante","Delegato"], 
                      Solo1="Richiedente", 
                      visibility_mail="mail_ordinaria", 
                      pec_obbligatoria="false", 
                      cciaa_visibile="false", 
                      visibility_residenza="visibility:visibility", 
                      visibility_asterisco_ruolo="display:none", 
                      tipologia_associazione="true", 
                      mailordinaria_obbligatoria="true", 
                      tipologia_entepubblico="false", 
                      visibility_codice_fatturazione="false") }}

<div class="space-1"></div>
{{ utils.domicilio_digitale(mandatory = "false", intestazione = "", pec = "false") }}
<div class="space-1"></div>
<div class="container">
  <div class="title-3"> CHIEDE </div>
  <div class="paragraph text-justify"> la liquidazione del </div>
</div>
<div class="container">
  
{% set acconti = [
  "Trasferimento",
  "Acconto",
  "Saldo"
  
]%}
{% for acconto in acconti %}
        <div class="form-check indent-1">
         {% if loop.first %} <div id="Tassonomia_AccSal" name="Tassonomia_AccSal" label="Label" mandatory_enabled="true" ></div>{% endif %}
        <input class="form-check-input" id="Tassonomia_AccSal{{ loop.index }}" name="Tassonomia_AccSal" type="radio" value="{{ loop.index }}">
        <label class="form-check-label" for="Tassonomia_AccSal{{ loop.index }}" onclick="copiaDati()"> {{ acconto|safe }} </label>
        </div>
        {% endfor %}
    <div class="form-row">
        <div class="paragraph text-justify"> della somma concordata a seguito di: </div>
    </div>
    {% set tipi = [
        "accordo/collaborazione",
        "convenzione",
        "intesa culturale"
    ]%}
    {% for tipo in tipi %}
    <div class="form-check indent-1">
    {% if loop.first %} <div id="Tassonomia_Codice" name="Tassonomia_Codice" label="Label" mandatory_enabled="true"></div>{% endif %}
    <input class="form-check-input" id="Tassonomia_Codice{{ loop.index }}" name="Tassonomia_Codice" type="radio" value="{{ loop.index }}">
    <label class="form-check-label" for="Tassonomia_Codice{{ loop.index }}"> {{ tipo|safe }} </label>
    </div>
    {% endfor %}
</div>
<div class="container">
  <div class="paragraph text-justify"> stipulata/o con la richiesta: </div>
</div>
<div class="container border bg-light border-bottom">
    <div class="form-row">
        <div class="form-group col-lg-4">
            <label for="Riferimenti_DataRegistrazione">Data di presentazione richiesta</label>
            <input class="form-control" id="Riferimenti_DataRegistrazione" name="Riferimenti_DataRegistrazione" mandatory="true"  format="date"  />
        </div>
        <div class="form-group col-lg-4">
            <label for="Riferimenti_NumeroRegistrazione"> Numero di protocollo richiesta</label>    
            <input class="form-control" id="Riferimenti_NumeroRegistrazione" name="Riferimenti_NumeroRegistrazione" mandatory="true"  />
        </div>      
        <div class="form-group col-lg-4">
                <!-- Oltre ai due campi per il numero di protocollo aggiungo anche l'ufficio destinatario che viene recuperato dalla risposta di Icaro-->
            <label for="Riferimenti_CodiceUfficioDestinatario">Ufficio destinatario</label>
            <input type="hidden" id="Riferimenti_CodiceUfficioDestinatario" name="Riferimenti_CodiceUfficioDestinatario" />
            <input class="form-control" id="Riferimenti_DescrizioneUfficioDestinatario" name="Riferimenti_DescrizioneUfficioDestinatario" mandatory="true"/>
        </div>
    </div>
</div>    
        

<div class="space-1"></div>

<div class="container border bg-light" id="attivaREST">
    
    {% set Anni = [           
            "2022",
            "2023",
            "2024",
            "2025"] %}
    {% for anno in Anni %}
        
    <div class="Valori_WS_Holder" id="Valori_WS_{{anno}}" style="display:none;" >
        <div class="form-row">
            <div class="form-group col-lg-4">
                <div rest-name="/modulo/ws/icaro_contributi?annoContributo={{anno}}&amp;numeroContributo=[Riferimenti_NumeroRegistrazione]" rest-type="text" rest-param-out="TipoAtto{{anno}}=tipoAttoDiConcessione" rest-on="#attivaREST:click" rest-allow-edit="false"> </div>
                <label for="TipoAtto{{anno}}" >
                    Tipologia di documento (*)
                </label>
                <input class="form-control" type="text" id="TipoAtto{{anno}}" name="TipoAtto{{anno}}" style="width:100%;" readonly /> 
            </div>
            <div class="form-group col-lg-4">
                <div rest-name="/modulo/ws/icaro_contributi?annoContributo={{anno}}&amp;numeroContributo=[Riferimenti_NumeroRegistrazione]" rest-type="text" rest-param-out="NumeroAtto{{anno}}=numeroAtto" rest-on="#attivaREST:click" rest-allow-edit="false"> </div>
                <label for="NumeroAtto{{anno}}" >
                Numero
                </label>
                <input class="form-control" type="text" id="NumeroAtto{{anno}}" name="NumeroAtto{{anno}}" style="width:100%;" readonly /> 
            </div>
            <div class="form-group col-lg-4">
                <div rest-name="/modulo/ws/icaro_contributi?annoContributo={{anno}}&amp;numeroContributo=[Riferimenti_NumeroRegistrazione]" rest-type="text" rest-param-out="DataAtto{{anno}}=dataAtto" rest-on="#attivaREST:click" rest-allow-edit="false"> </div>
                <label for="DataAtto{{anno}}" >
                    Data
                </label>
                <input class="form-control" type="text" id="DataAtto{{anno}}" name="DataAtto{{anno}}" style="width:100%;" readonly /> 
            </div>
        </div>
        <div class="form-row">
            <div class="form-group col-lg-6">
                <div rest-name="/modulo/ws/icaro_contributi?annoContributo={{anno}}&amp;numeroContributo=[Riferimenti_NumeroRegistrazione]" rest-type="text" rest-param-out="ImportoConcesso{{anno}}=importoConcesso" rest-on="#attivaREST:click" rest-allow-edit="false"> </div>
                <label for="ImportoConcesso{{anno}}" >
                    Importo concordato
                </label>
                <input class="form-control" type="text" id="ImportoConcesso{{anno}}" name="ImportoConcesso{{anno}}" style="width:100%;" readonly />
            </div>
            <div class="form-group col-lg-6">
                <div rest-name="/modulo/ws/icaro_contributi?annoContributo={{anno}}&amp;numeroContributo=[Riferimenti_NumeroRegistrazione]" rest-type="text" rest-param-out="Ufficio{{anno}}=ufficio" rest-on="#attivaREST:click" rest-allow-edit="false"> </div>
                <input type="hidden" id="Ufficio{{anno}}" name="Ufficio{{anno}}" style="width:100%;" readonly /> 
                <input type="hidden" id="NomeUfficio{{anno}}" name="NomeUfficio{{anno}}" style="width:100%;" readonly /> 
                <div rest-name="/modulo/ws/icaro_contributi?annoContributo={{anno}}&amp;numeroContributo=[Riferimenti_NumeroRegistrazione]" rest-type="text" rest-param-out="Stato{{anno}}=stato" rest-on="#attivaREST:click" rest-allow-edit="false"> </div>
                <label for="Stato{{anno}}" >
                    Stato Domanda
                    </label>
                <input class="form-control" type="text" id="Stato{{anno}}" name="Stato{{anno}}" style="width:100%;" readonly />
            </div>
        </div>
        
    </div>
    {% endfor %}
    <div class="form-row">
      <div class="form-group col-lg-3">
        <label for="Riferimenti_TipoAtto"> Tipo atto </label>
        <input class="form-control" id="Riferimenti_TipoAtto" name="Riferimenti_TipoAtto" label="Tipo Atto" readonly>
      </div>
      <div class="form-group col-lg-2">
        <label for="Riferimenti_NumeroAtto"> Numero </label>
        <input class="form-control" id="Riferimenti_NumeroAtto" name="Riferimenti_NumeroAtto" label="Numero atto" readonly>
      </div>
      <div class="form-group col-lg-2">
        <label for="Riferimenti_DataAtto"> Data </label>
        <input class="form-control" id="Riferimenti_DataAtto" name="Riferimenti_DataAtto"  label="Data" readonly>
      </div>
      <div class="form-group col-lg-2">
        <label for="Riferimenti_ImportoConcesso"> Importo concordato </label>
        <input class="form-control" id="Riferimenti_ImportoConcesso" name="Riferimenti_ImportoConcesso" label="Importo concordato" readonly>
      </div>
      <div class="form-group col-lg-3">
        <label for="Riferimenti_Stato">Stato</label>
        <input class="form-control" id="Riferimenti_Stato" name="Riferimenti_Stato" label="Stato" readonly>
      </div>
    </div>
    <div class="form-row">
        <div class="paragraph text-justify"> per l'importo di: </div>
    </div>
    <div class="form-row">
        <div class="form-group col-lg-12">
            <label for="Parametri_ValoreContributo">Importo richiesto liquidazione</label>
            <input class="form-control" id="Parametri_ValoreContributo" name="Parametri_ValoreContributo" mandatory="true" format="regular_expression" expression="^\d+(\,|\.|)(\d+|)$" placeholder="0,00"  onblur="verificaImporto();">
        </div>
        
    </div>
</div>
<div class="container">
  <div class="paragraph text-justify"> per lo svolgimento della seguente attività </div>
</div>
<div class="container border bg-light">
  <div class="form-row">
    <div class="title-3"> Attività </div>
  </div>
  <div class="form-row">
        <div class="form-group col-lg-12">
        <label for="Parametri_DenominazioneAttivita"> Denominazione </label>
        <input class="form-control" id="Parametri_DenominazioneAttivita" name="Parametri_DenominazioneAttivita" label="Denominazione attività" mandatory="true" readonly>
        </div>
    </div>  
</div>
<div class="space-1"></div>
<div class="container">
  <div class="title-3"> COMUNICA </div>
  l'IBAN del conto corrente sul quale effettuare il versamento
</div>
<div class="container border bg-light">
    <div class="form-row indent -1">
        <div class="form-group col-lg-12">
            <label for="Parametri_Intestatario">Intestatario</label>
            <input class="form-control" id="Parametri_Intestatario" name="Parametri_Intestatario" label="Intestatario conto corrente" mandatory="true">
        </div>
    </div>

    <div class="form-row indent -1">
      <div class="form-group col-lg-12">
        <label for="Parametri_Istutituo"> Istituto </label>
        <input class="form-control" id="Parametri_Istituto" name="Parametri_Istituto" label="Coordinate Bancarie - Istituto" mandatory="true">
      </div>
    </div>
    <div class="form-row indent -1">
      <div class="form-group col-lg-6">
        <label for="Parametri_IBAN"> IBAN </label>
        <input class="form-control" id="Parametri_IBAN" name="Parametri_IBAN" label="Coordinate Bancarie - IBAN"  mandatory_enabled="true" format="regular_expression" expression="^\w{27}$">
      </div>
      <div class="form-group col-lg-6">
        <label for="Parametri_BIC_swift"> Codice BIC (swift) - Se conto estero </label>
        <input class="form-control" id="Parametri_BIC_swift" name="Parametri_BIC_swift" label="Coordinate Bancarie - Codice BIC" mandatory_enabled="#Parametri_IBAN.value() != '' and (!#Parametri_IBAN.value().toUpperCase().startsWith('IT'))">
      </div>
    </div>
</div>
<div class="container border bg-light">
  <div class="form-row">
    <div class="form-group col-lg-12">
      <label for="Parametri_EventualiAnnotazioni"> Eventuali annotazioni </label>
      <textarea class="form-control" id="Parametri_EventualiAnnotazioni" name="Parametri_EventualiAnnotazioni"></textarea>
    </div>
  </div>
</div>

<div class="space-1"></div>

<div class="container border bg-light">
  <div class="form-row">
    <div class="col-lg-12" style="text-align: center;">
      <span class="title"> Elenco degli allegati </span>
      <div class="space-0"></div>
      <span class="infoes"> (barrare tutti gli allegati richiesti in fase di presentazione della pratica ed elencati sul portale) </span>
    </div>
  </div>
  {% for allegato in allegati %}
  <div class="form-check indent-1">
    {% if allegato['tipo'] == "allegato" %}<input id="GLOBO_allegato_c{{ allegato['codice'] }}" name="GLOBO_allegato_c{{ allegato['codice'] }}" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>{% elif allegato['tipo'] == "secondario" %} <input id="GLOBO_modulofiglio_c{{ allegato['codice'] }}" name="GLOBO_modulofiglio_c{{ allegato['codice'] }}" type="hidden" value="" obbligatorio="#{{ allegato['codice']|replace('-', '_') }}.checked() ? 'OBBLIGATORIO' : ''"/>{% endif %}
    <input class="form-check-input" id="{{ allegato['codice'] }}" name="{{ allegato['codice'] }}" type="checkbox" value="OBBLIGATORIO" {% if allegato['dynamic_check'] == "true" %} dynamic_check="true" checked="checked" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] == "" %} dynamic_check="{{ allegato['dynamic_check'] }}" {% elif allegato['dynamic_check'] == "" and allegato['enabled'] != "" %} enabled="{{ allegato['enabled'] }}" {% elif allegato['dynamic_check'] != "" and allegato['enabled'] != "" %} dynamic_check="{{ allegato['dynamic_check'] }}" enabled="{{ allegato['enabled'] }}" {% endif %}>
    <label class="form-check-label" for="{{ allegato['codice'] }}"> {{ allegato['descrizione_tabella_allegati'][0]|lower + allegato['descrizione_tabella_allegati'][1:allegato['descrizione_tabella_allegati']|length] }}{% if allegato['annotazioni_tabella_allegati'] != "" %} <div class="space-0"></div> <span class="infoes"><i>{{  allegato['annotazioni_tabella_allegati']|safe }}</i></span></label>{% endif %}
  </div>
  {% endfor %}
  <div class="form-check indent-1">
    <input class="form-check-input" type="checkbox" id="REL_CONCL" name="REL_CONCL" value="SI">
    <label class="form-check-label" for="REL_CONCL">dettagliata relazione sull’attività realizzata <i>(per le intese culturali da allegare solo in caso di richiesta saldo)</i></label>
  </div>
  <div class="form-check indent-1">
    <input class="form-check-input" type="checkbox" id="RIT_ACCONTO" name="RIT_ACCONTO" checked="checked" dynamic_check="true" value="obbligatorio">
    <label class="form-check-label" for="RIT_ACCONTO">dichiarazione relativa alla ritenuta d'acconto</label>
  </div>
  <div class="form-row ml-0 mr-0 mt-1">
    <div class="form-check indent-1 col-lg-2">
      <input class="form-check-input" type="checkbox" id="ALTRI-ALLEGATI" name="ALTRI-ALLEGATI" value="OBBLIGATORIO">
      <label class="form-check-label" for="ALTRI-ALLEGATI">altri allegati </label>
    </div>
    <div class="form-group col-lg-10">
      <input class="form-control" type="text" id="AltriAllegati" name="AltriAllegati" mandatory_enabled="#ALTRI_ALLEGATI.checked()">
    </div>
  </div>
 
  
</div>

<div class="space-1"></div>

{{ utils.trattamento_dati_personali() }}

<div class="space-1"></div>
{{ utils.firma_hidden( firmatario = "Il dichiarante" ) }}

<div class="space-1"></div>

{{ utils.salva()}}

<input destinatario_amministrazione="getParameter('Ente')" id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>
<input firmare="'P7M_ELETTRONICA'" id="GLOBO_modulofiglio_cINCARICO_PROCURA" name="GLOBO_modulofiglio_cINCARICO_PROCURA" type="hidden" value=""/>
<input firmare="'AUTENTICATO'" id="GLOBO_modulofiglio_cREL_CONCL" name="GLOBO_modulofiglio_cREL_CONCL" obbligatorio="#REL_CONCL.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>
<input firmare="'AUTENTICATO'" id="GLOBO_modulofiglio_cRIT_ACCONTO" name="GLOBO_modulofiglio_cRIT_ACCONTO" obbligatorio="#RIT_ACCONTO.checked() ? 'OBBLIGATORIO' : ''" type="hidden" value=""/>
<input id="GLOBO_allegato_cALTRI-ALLEGATI" name="GLOBO_allegato_cALTRI-ALLEGATI" type="hidden" value="" obbligatorio="#ALTRI_ALLEGATI.checked() ? 'OBBLIGATORIO' : ''"/>
<input id="GLOBO_sub_urn" name="GLOBO_sub_urn" type="hidden" value="" />

<input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>
<input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>
<input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>

{% endblock content %}